Skip to main content
POST
/
v1
/
servers
/
{id}
/
join
Join a public server
curl --request POST \
  --url https://api.magne.app/v1/servers/{id}/join \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "iconUrl": "<string>",
  "bannerUrl": "<string>",
  "description": "<string>",
  "ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isPublic": true,
  "requireApproval": true,
  "entranceChannelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "afkChannelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "jtcChannelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tags": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

Success

id
string<uuid>
name
string
iconUrl
string | null
bannerUrl
string | null
description
string | null
ownerId
string<uuid>
isPublic
boolean
requireApproval
boolean
entranceChannelId
string<uuid> | null
afkChannelId
string<uuid> | null
jtcChannelId
string<uuid> | null
tags
string[]
createdAt
string<date-time>